%define major		0
%define libname		%mklibname oath %{major}
%define develname	%mklibname oath -d

Name:		oath-toolkit
Version:	2.6.2
Release:	%mkrel 1
License:	GPLv3
Summary:	OATH Toolkit is a software toolkit for using HOTP/TOTP schemes
URL:		http://www.nongnu.org/oath-toolkit
Group:		System/Base
Source:		http://download.savannah.nongnu.org/releases/oath-toolkit/oath-toolkit-%{version}.tar.xz
Patch0:		oath-toolkit-2.0.2-man-fix.patch
Patch1:		oath-toolkit-2.4.1-retain-original-xmldoc.patch
Patch10:	0001-Update-gnulib-files.patch
Patch11:	0001-gnulib-fix-fseeko-with-glibc-2.28.patch
BuildRequires:	bison
BuildRequires:	gtk-doc
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(libxml-2.0)

%description
The OATH Toolkit provides components for building one-time password
authentication systems. It contains shared libraries, command line tools and a
PAM module. Supported technologies include the event-based HOTP algorithm
(RFC4226) and the time-based TOTP algorithm (RFC6238). OATH stands for
Initiative for Open Authentication, an industry-wide collaboration to develop
open authentication algorithms.

For secret key management, the Portable Symmetric Key Container (PSKC) format
described in RFC6030 is supported.

The components included in the package are:

* liboath: A shared and static C library for OATH handling.
* oathtool: A command line tool for generating and validating OTPs.
* pam_oath: A PAM module for pluggable login authentication for OATH.
* libpskc: A shared and static C library for PSKC handling.
* pskctool: A command line tool for manipulating PSKC data.

%package -n	pam_oath
Summary:	A PAM module for HOTP/TOTP one-time password authentication
Group:		System/Libraries

%description -n	pam_oath
A PAM module for HOTP/TOTP one-time password authentication.

%package -n	%{libname}
Summary:	A library implementing HOTP/TOTP one-time password authentication schemes
Group:		System/Libraries
License:	LGPLv2

%description -n	%{libname}
A library implementing HOTP/TOTP one-time password authentication schemes.

%package -n	%{develname}
Summary:	Development files and documentation for liboath
Group:		Development/Libraries
License:	LGPLv2
Requires:	%{libname} = %{version}
Provides:	liboath-devel = %{version}-%{release}

%description -n	%{develname}
Development files and documentation for liboath.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi

%configure2_5x \
	    --with-pam-dir=/%{_lib}/security \
	    --disable-static \
	    --disable-pskc \
	    --with-pic

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/oathtool
%{_mandir}/man1/oathtool.*.*

%files -n pam_oath
/%{_lib}/security/pam_oath.so

%files -n %{libname}
%{_libdir}/liboath.so.%{major}*

%files -n %{develname}
%{_libdir}/liboath.so
%dir %{_includedir}/liboath
%{_includedir}/liboath/oath.h
%{_libdir}/pkgconfig/liboath.pc
%dir %{_datadir}/gtk-doc/html/liboath
%doc %{_datadir}/gtk-doc/html/liboath/*
%{_mandir}/man3/oath_*.*.*


%changelog
* Mon Feb 15 2021 tex - 2.6.2-1pclos2021
- import
